# OpalRFC4175Transcoder Class Reference

`#include <rfc4175.h>`

Inheritance diagram for OpalRFC4175Transcoder:

[legend]
Collaboration diagram for OpalRFC4175Transcoder:
[legend]

## Public Member Functions

| OpalRFC4175Transcoder (const OpalMediaFormat &inputMediaFormat, const OpalMediaFormat &outputMediaFormat)
virtual PINDEX | GetPgroupSize () const =0
virtual PINDEX | GetColsPerPgroup () const =0
virtual PINDEX | GetRowsPerPgroup () const =0
virtual PINDEX | PixelsToBytes (PINDEX pixels) const =0
PINDEX | RFC4175HeaderSize (PINDEX lines)

## Data Structures

struct | ScanLineHeader

## Constructor & Destructor Documentation

OpalRFC4175Transcoder::OpalRFC4175Transcoder | ( | const OpalMediaFormat & | inputMediaFormat,
|  | const OpalMediaFormat & | outputMediaFormat |
| ) |  |  |

Parameters:

  inputMediaFormat | Input media format
  outputMediaFormat | Output media format

## Member Function Documentation

virtual PINDEX OpalRFC4175Transcoder::GetColsPerPgroup | ( |  | ) | const`[pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, Opal_YUV420P_to_RFC4175YCbCr420, Opal_RFC4175RGB_to_RGB24, and Opal_RGB24_to_RFC4175RGB.

virtual PINDEX OpalRFC4175Transcoder::GetPgroupSize | ( |  | ) | const`[pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, Opal_YUV420P_to_RFC4175YCbCr420, Opal_RFC4175RGB_to_RGB24, and Opal_RGB24_to_RFC4175RGB.

virtual PINDEX OpalRFC4175Transcoder::GetRowsPerPgroup | ( |  | ) | const`[pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, Opal_YUV420P_to_RFC4175YCbCr420, Opal_RFC4175RGB_to_RGB24, and Opal_RGB24_to_RFC4175RGB.

virtual PINDEX OpalRFC4175Transcoder::PixelsToBytes | ( | PINDEX | pixels | ) | const`[pure virtual]`

Implemented in OpalRFC4175Decoder, Opal_RFC4175YCbCr420_to_YUV420P, Opal_YUV420P_to_RFC4175YCbCr420, Opal_RFC4175RGB_to_RGB24, and Opal_RGB24_to_RFC4175RGB.

PINDEX OpalRFC4175Transcoder::RFC4175HeaderSize | ( | PINDEX | lines | ) |

The documentation for this class was generated from the following file:

- rfc4175.h